Get PVC Sample Audio
GEThttps://api.knoxstudio.ai/v1/voices/pvc/:voice_id/samples/:sample_id/audio
Download a PVC sample. Optional remove_background_noise. Not billed.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| voice_id | String | Yes | Voice ID. |
| sample_id | String | Yes | Sample ID. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| remove_background_noise | Boolean | No | Return isolated speech. |
Request Headers
| Name | Type | Required | Description |
|---|---|---|---|
| Authorization | String | Yes | Bearer <token> Knox API key. xi-api-key is also accepted. |
cURL Example
curl -X GET "https://api.knoxstudio.ai/v1/voices/pvc/voice_id/samples/sample_id/audio" \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-o pvc-sample.mp3
Response
Success Response (200)
Audio bytes.
Error Responses
Validation uses HTTP 422:
{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}
Other errors use { "detail": "message" }.
| Status | When |
|---|---|
400 | WebSocket path called without Upgrade: websocket. |
401 | Missing or invalid API key. |
402 | Insufficient credits. |
403 | Token is not allowed to use this model. |
404 | Resource not found. |
422 | Validation error. |
429 | Rate limit exceeded. |
500 | Internal server error. |